#ifndef __Environment_H__
#define __Environment_H__


#include <string>
#include <iostream>
#include <fstream>

#include "common.h"
#include "Vector3.h"


namespace CHCDemoEngine
{

/** Loads startup environment for the demo
*/
class Environment
{
public:

	/** Reads the environment
	*/
	bool Read(const std::string &filename);
	/** Initialises the environment file with default values.
	*/
	void Init();


	//////////
	//-- members

	int mAssumedVisibleFrames;
	int mMaxBatchSize;

	int mTrianglesPerVirtualLeaf;

	/// these values get scaled with the frame rate
	float mKeyForwardMotion;
	float mKeyRotation;

	int mWinWidth;
	int mWinHeight;

	Vector3 mPosition;
	Vector3 mDirection;

	bool mUseFullScreen;
};

}
#endif
